
/* Aggiungi l'animazione riflettente */

@keyframes reflection {
    0% {
      transform: scaleX(1);
      opacity: 0.8;
    }
    50% {
      transform: scaleX(1.2);
      opacity: 0.4;
    }
    100% {
      transform: scaleX(1);
      opacity: 0.8;
    }
  }
  
  /* Aggiungi la transizione */
  h2.heading-section {
    font-size: 34px;
    text-align: center;
    background-image: linear-gradient(90deg, #ff8f33, #3026c9);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    animation: reflection 2s linear infinite;
    display: inline-block;
    padding: 10px;
  }
  
  .main-container {
      padding-top: 8vh;
      display: flex;
      justify-content: space-between;
      background-color: white;
  }
  
  .sub-container {
      width: 48%;
      border: 1px solid #000;
      padding: 10px;
      box-sizing: border-box;
      background-color: rgb(255, 255, 255);
      border: none;
      color: #333;
  }
  
  .container-title {
      font-size: 18px;
      font-weight: bold;
      margin-bottom: 10px;
      text-align: center;
      background-color: none;
  }
  
  .main-title {
      padding-top: 18vh;
      text-align: center;
      font-size: 24px;
      font-weight: bold;
      background-color: white;
  }
  
  /* Contenitori della mission e vision */
  .card {
      position: relative;
      width: 400px;
      height: 270px;
      background: linear-gradient(to bottom, #e9c73e, #97f12a);
      background-repeat: no-repeat;
      background-attachment: fixed;
      background-size: cover;
      border-radius: 10px;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
      margin-bottom: 8vh;
  }
  
  .card svg {
      width: 28px;
      fill: #333;
      transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
  }
  
  .card:hover {
      transform: rotate(-5deg) scale(1.1);
      box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  }
  
  .card__content {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%) rotate(-45deg);
      width: 100%;
      height: 100%;
      padding: 20px;
      box-sizing: border-box;
      background-color: #fff;
      opacity: 0;
      transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
  }
  
  .card:hover .card__content {
      transform: translate(-50%, -50%) rotate(0deg);
      opacity: 1;
  }
  
  .card__description {
      margin: 10px 0 0;
      font-size: 18px;
      color: #777;
      line-height: 1.4;
  }
  
  .card:hover svg {
      scale: 0;
      transform: rotate(-45deg);
  }
  
  .centered-card {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      height: 100%;
  }
  
  
  .animate-charcter
  {
     text-transform: uppercase;
    background-image: linear-gradient(
      -225deg,
      #231557 0%,
      #44107a 29%,
      #ff1361 67%,
      #fff800 100%
    );
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    color: #fff;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: textclip 2s linear infinite;
    display: inline-block;
        font-size: 40px;
  }
  
  @keyframes textclip {
    to {
      background-position: 200% center;
    }
  }
  /* Media query per schermi più piccoli */
  @media (max-width: 768px) {
      .sub-container {
          width: 100%; /* Utilizza l'intero spazio disponibile su schermi più piccoli */
          max-width: none; /* Rimuovi la larghezza massima */
          margin-bottom: 40px;
      }
  
      .card {
          width: 70%; /* Utilizza l'intero spazio disponibile su schermi più piccoli */
          max-width: none; /* Rimuovi la larghezza massima */
          margin-bottom: 2vh; /* Modifica la distanza tra le carte su schermi più piccoli */
      }
  
      .main-container {
          flex-direction: column; /* Passa a una disposizione a colonna su schermi più piccoli */
      }
  
     
  }
  .background {
    border: 12px solid rgb(75, 75, 75);
    width: 100%;
    height: 70%;
    --s: 200px;
    --c1: rgb(255, 0, 0); /* Colore più scuro */
    --c2: #0a0e4b; /* Colore medio */
    --c3: rgb(200, 163, 15); /* Colore più chiaro */
    background: repeating-conic-gradient(
        from 30deg,
        #0000 0 120deg,
        var(--c3) 0 180deg
      )
      calc(0.5 * var(--s)) calc(0.5 * var(--s) * 0.577),
      repeating-conic-gradient(
        from 30deg,
        var(--c1) 0 60deg,
        var(--c2) 0 120deg,
        var(--c3) 0 180deg
      );
    background-size: var(--s) calc(var(--s) * 0.577);
  }
  
  
  .banner {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%; /* Rende il banner alto al 100% della altezza del background */
  }
  
  .banner-content {
    text-align: center;
  }
  .banner-content button{
    margin-left: 38%;
  }
  .banner h1 {
    font-family: 'Lilita One', cursive;
    font-size: 4vw;
    color: #ffffff;
  }
  
  .banner p {
    font-family: 'Ubuntu Mono', monospace;
    font-size: 2vw;
    font-weight: bolder;
    color: #ffffff;
  }
  
  .banner button {
    display: flex;
    align-items: center;
    gap: 10px;
    font-family: inherit;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.4px;
    color: #7e97b8;
    background-color: #e0e8ef;
    border-style: solid;
    border-width: 2px;
    border-color: rgba(255, 255, 255, 0.333);
    border-radius: 20px;
    padding: 12px 20px;
    transition: 0.2s;
    box-shadow: -2px -1px 8px 0px #ffffff, 2px 1px 8px 0px rgb(95 157 231 / 48%);
  }
  
  .banner button:hover {
    color: #516d91;
    background-color: #e5edf5;
    box-shadow: -2px -1px 8px 0px #ffffff, 2px 1px 8px 0px rgb(95 157 231 / 48%);
  }
  
  .banner button:active {
    box-shadow: none;
  }
  
  .banner button a {
    text-decoration: none;
    color: inherit;
  }
  
  /* Media query per schermi più piccoli */
  @media screen and (max-width: 768px) {
    .banner {
      padding: 10% 2%;
    }
  
    .banner h1,
    .banner p,
    .banner button {
      font-size: 6vw;
    }
  
    .firstbutton,
    .secondbutton {
      margin-top: 4%;
    }
  }
  
  .contenitore {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .left-content {
    flex: 1; /* Il contenuto a sinistra si espanderà per riempire lo spazio disponibile */
  }
  
  .card2 {
      display: flex;
      margin-right: 10%;
      float: right;
    position: relative;
    width: 190px;
    height: 254px;
    background-color: #000;
    display: flex;
    flex-direction: column;
    justify-content: end;
    padding: 12px;
    gap: 12px;
    border-radius: 8px;
    cursor: pointer;
    color: white;
  }
  
  .card2::before {
    content: '';
    position: absolute;
    inset: 0;
    left: -5px;
    margin: auto;
    width: 200px;
    height: 264px;
    border-radius: 10px;
    background: linear-gradient(-45deg, #e81cff 0%, #40c9ff 100% );
    z-index: -10;
    pointer-events: none;
    transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  }
  
  .card2::after {
    content: "";
    z-index: -1;
    position: absolute;
    inset: 0;
    background: linear-gradient(-45deg, #fc00ff 0%, #00dbde 100% );
    transform: translate3d(0, 0, 0) scale(0.95);
    filter: blur(20px);
  }
  
  .heading {
    font-size: 20px;
    text-transform: capitalize;
    font-weight: 700;
  }
  
  .card2 p:not(.heading) {
    font-size: 14px;
  }
  
  .card2 p:last-child {
    color: #e81cff;
    font-weight: 600;
  }
  
  .card2:hover::after {
    filter: blur(30px);
  }
  
  .card2:hover::before {
    transform: rotate(-90deg) scaleX(1.34) scaleY(0.77);
  }
  
  #advert {
    position: relative;
    width: 100%;
    height: 50px;
    padding: 0 5px;
    background: transparent;
    overflow: hidden;
    user-select: none;
  }
  
  #advert p {
    font-family:Arial, Helvetica, sans-serif ;
    font-weight: 800;
    font-style: italic;
    position: absolute;
    white-space: nowrap;
    top: 50%;
    transform: translateY(-50%);
    color: rgb(39, 39, 171);
    font-size: 16px;
    font-weight: bolder;
    pointer-events: none;
    margin: 0;
  }
  
  #advert p:first-of-type {
    left: -100%;
    animation: moveOutToLeft 300s linear infinite; /* Increased duration to 300s */
  }
  
  #advert p:nth-of-type(2) {
    left: 100%;
    opacity: 1;
    animation: moveInFromRight 300s linear infinite; /* Increased duration to 300s */
  }
  
  #advert a {
    color: rgb(201, 7, 7);
    text-decoration: underline;
  }
  
  /* Media query for smaller screens */
  @media screen and (max-width: 768px) {
    #advert p {
      font-size: 10px;
    }
  }
  
  /* Keyframes with increased duration */
  @keyframes moveOutToLeft {
    0% {
      left: -100%;
    }
    100% {
      left: 100%;
    }
  }
  
  @keyframes moveInFromRight {
    0% {
      left: 100%;
    }
    100% {
      left: -100%;
    }
  }
  
  /* Chrome, Edge, and Safari */
/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 12px;
}

*::-webkit-scrollbar-thumb {
  background: #007bff; /* Colore blu acceso per lo sfondo senza gradient */
  border-radius: 6px;
}

*::-webkit-scrollbar-thumb:hover {
  background: #ff0000; /* Colore blu acceso per l'hover senza gradient */
}


*::-webkit-scrollbar-track {
  background: rgb(235, 236, 193)
}

  
  
  
  /* switch settings 👇 */
  .ui-switch input:checked+.slider .circle {
    /* Aggiungi qui il colore desiderato */
    background-color: rgb(0, 0, 0);
  }
  .ui-switch {
    /* switch */
   margin-bottom: 16px;
    --switch-bg: rgb(135, 150, 165);
    --switch-width: 48px;
    --switch-height: 20px;
    /* circle */
    --circle-diameter: 32px;
    --circle-bg: rgb(232, 89, 15);
    --circle-inset: calc((var(--circle-diameter) - var(--switch-height)) / 2);
  }
  
  .ui-switch input {
    display: none;
  }
  
  .slider {  
     
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: var(--switch-width);
    height: var(--switch-height);
    background: var(--switch-bg);
    border-radius: 999px;
    position: absolute;
    cursor: pointer;
  }
  
  .slider .circle {
    top: calc(var(--circle-inset) * -1);
    left: 0;
    width: var(--circle-diameter);
    height: var(--circle-diameter);
    position: absolute;
    background: var(--circle-bg);
    border-radius: inherit;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGhlaWdodD0iMjAiIHdpZHRoPSIyMCIgdmlld0JveD0iMCAwIDIwIDIwIj4KICAgIDxwYXRoIGZpbGw9IiNmZmYiCiAgICAgICAgZD0iTTkuMzA1IDEuNjY3VjMuNzVoMS4zODlWMS42NjdoLTEuMzl6bS00LjcwNyAxLjk1bC0uOTgyLjk4Mkw1LjA5IDYuMDcybC45ODItLjk4Mi0xLjQ3My0xLjQ3M3ptMTAuODAyIDBMMTMuOTI3IDUuMDlsLjk4Mi45ODIgMS40NzMtMS40NzMtLjk4Mi0uOTgyek0xMCA1LjEzOWE0Ljg3MiA0Ljg3MiAwIDAwLTQuODYyIDQuODZBNC44NzIgNC44NzIgMCAwMDEwIDE0Ljg2MiA0Ljg3MiA0Ljg3MiAwIDAwMTQuODYgMTAgNC44NzIgNC44NzIgMCAwMDEwIDUuMTM5em0wIDEuMzg5QTMuNDYyIDMuNDYyIDAgMDExMy40NzEgMTBhMy40NjIgMy40NjIgMCAwMS0zLjQ3MyAzLjQ3MkEzLjQ2MiAzLjQ2MiAwIDAxNi41MjcgMTAgMy40NjIgMy40NjIgMCAwMTEwIDYuNTI4ek0xLjY2NSA5LjMwNXYxLjM5aDIuMDgzdi0xLjM5SDEuNjY2em0xNC41ODMgMHYxLjM5aDIuMDg0di0xLjM5aC0yLjA4NHpNNS4wOSAxMy45MjhMMy42MTYgMTUuNGwuOTgyLjk4MiAxLjQ3My0xLjQ3My0uOTgyLS45ODJ6bTkuODIgMGwtLjk4Mi45ODIgMS40NzMgMS40NzMuOTgyLS45ODItMS40NzMtMS40NzN6TTkuMzA1IDE2LjI1djIuMDgzaDEuMzg5VjE2LjI1aC0xLjM5eiIgLz4KPC9zdmc+");
    background-repeat: no-repeat;
    background-position: center center;
    -webkit-transition: left 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, -webkit-transform 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    -o-transition: left 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, transform 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    transition: left 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, transform 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, -webkit-transform 150ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    box-shadow: 0px 2px 1px -1px rgba(0,0,0,0.2), 0px 1px 1px 0px rgba(0,0,0,0.14), 0px 1px 3px 0px rgba(0,0,0,0.12);
    ;
  }
  
  .slider .circle::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.75);
    border-radius: inherit;
    -webkit-transition: all 500ms;
    -o-transition: all 500ms;
    transition: all 500ms;
    opacity: 0;
  }
  
  /* actions */
  
  .ui-switch input:checked+.slider .circle {
    left: calc(100% - var(--circle-diameter));
    background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGhlaWdodD0iMjAiIHdpZHRoPSIyMCIgdmlld0JveD0iMCAwIDIwIDIwIj4KICAgIDxwYXRoIGZpbGw9IiNmZmYiCiAgICAgICAgZD0iTTQuMiAyLjVsLS43IDEuOC0xLjguNyAxLjguNy43IDEuOC42LTEuOEw2LjcgNWwtMS45LS43LS42LTEuOHptMTUgOC4zYTYuNyA2LjcgMCAxMS02LjYtNi42IDUuOCA1LjggMCAwMDYuNiA2LjZ6IiAvPgo8L3N2Zz4=");
    background-color: rgb(0, 56, 146);
  }
  
  .ui-switch input:active+.slider .circle::before {
    -webkit-transition: 0s;
    -o-transition: 0s;
    transition: 0s;
    opacity: 1;
    width: 0;
    height: 0;
  }
  
  
                   .testo #ali {
              fill:  #FFA500;
              transition: fill 0.5s ;
          }
                      .testo:hover #ali {
                          fill:#FFFF00;
                      }

                
                        
                        
                      .Btn {
                        --primary-color: #000000;
                        --secondary-color:#ff0000;
                        --hover-color: #ff6600;
                        --arrow-width: 10px;
                        --arrow-stroke: 2px;
                        display: flex;
                        align-items: center;
                        box-sizing: border-box;
                        border: 0;
                        border-radius: 20px;
                        color: var(--secondary-color);
                        padding: 1em 1.8em;
                        background: var(--primary-color);
                        display: flex;
                        transition: 0.2s background;
                        align-items: center;
                        gap: 0.6em;
                        font-weight: bold;
                        font-size: 10px;
                        /*Before :
                        width: 130px;
                      height: 30px; */
                      width: 135px;
                      height: 40px;
                      justify-content: space-between; 
                  
                      }
                      .Btn img {
                        order: -1; /* Sposta l'immagine a sinistra */
                        margin-bottom: 0;
                    }
                    .Btn span {
                      flex-grow: 1; /* Flessibilità per far espandere il testo */
                  }                    
                     
                      
                     
                      
                      .Btn:hover {
                        background-color: white;
                        color: red;
                      }
                      
                      @media only screen and (max-width: 900px) {
                        .Btn {
                          display: none;
                        }
                      }
                      .s-header__nav  a  span{
                        padding: 3px;
                        border-radius: 20%;
                      }
          .s-header__nav  a span:hover{
            border-bottom: 3px solid greenyellow; /* Initial border style */
            transition: border-bottom 0.2s ease; /* Add transition effect to the border-bottom property */
          }
          .container .card_box a {
            color: white !important;
          }


    .heading{
      width: 90%;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      text-align: center;
      margin: 20px auto;
    }    
    .heading h1{
      font-size: 50px;
      color:#000;
      margin-bottom: 25px;
      position: relative;
    }
    .heading h1::after{
      content: "";
      position: absolute;
      width: 100%;
      height: 4px;
      display: block;
      margin : 0 auto;
      background-color: #4caF50;

    }
    .heading p{
      font-size: 18px;
      color: #666;
      margin-bottom: 35px;
    }
    .conta {
      width: 90%;
      margin: 0 auto;
      padding: 10px 20px;

    }
    .about{
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;
    }
    .about-image{
      flex: 1;
      margin-right: 40px;
      overflow: hidden;
    }
    .about-image img:hover{
      max-width: 100%;
      height: auto;
      display: block;
      transition: 0.4s ease;
         transform: scale(1.2);
    }
    .about-content{
      flex: 1;
    }

    .about-content h2{
font-size: 23px;
margin-bottom: 15px;
color: #333;

    }
    .about-content p{
      font-size: 18px;
      line-height: 1.5;
     color:  #666;
    }
    .about-content .read-more{
      display: inline-block;
      padding: 10px 20px;
      color: white;
      background-color: #1960ac;
      font-size: 19px;
      text-decoration: none;
      border-radius: 25px;
      margin-top: 15px;
      transition: 0.3s ease ;
      font-weight: bolder
    }
    .about-content .read-more:hover{
      background-color: #628f9a;
    }
    @media screen and (max-width: 768px){
      .heading{
        padding: 0px 20px;
      }
      .heading h1{
        font-size: 36px;
      }
      .heading p{
        font-size: 17px;
        margin-bottom: 0px;
      }
      .conta{
        padding: 0px;
      }
      .about{
        padding: 30px;
        flex-direction: column;
      }
      .about-image{
        margin-right: 0px;
        margin-bottom: 20px;
      }
      .about-content p{
        padding: 0px;
        font-size: 16px;
      }
      .about-content .read-more{
        font-size: 16px;
      }
    }

    